package ink.wgink.module.activiti.pojo.dtos.oa;

import io.swagger.annotations.ApiModel;

/**
 * @ClassName: OaProcessDTO
 * @Description: oa流程
 * @Author: wanggeng
 * @Date: 2022/3/23 10:00
 * @Version: 1.0
 */
@ApiModel
public class OaProcdefDTO {

    private String id;
    private String name;
    private String description;
    private String processDefinitionId;
    private Integer version;
    private String deploymentId;
    private String formKey;
    private String formCode;
    private Integer formVersion;

    public String getId() {
        return id == null ? "" : id.trim();
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name == null ? "" : name.trim();
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescription() {
        return description == null ? "" : description.trim();
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getProcessDefinitionId() {
        return processDefinitionId == null ? "" : processDefinitionId.trim();
    }

    public void setProcessDefinitionId(String processDefinitionId) {
        this.processDefinitionId = processDefinitionId;
    }

    public Integer getVersion() {
        return version == null ? 0 : version;
    }

    public void setVersion(int version) {
        this.version = version;
    }

    public String getDeploymentId() {
        return deploymentId == null ? "" : deploymentId.trim();
    }

    public void setDeploymentId(String deploymentId) {
        this.deploymentId = deploymentId;
    }

    public String getFormKey() {
        return formKey == null ? "" : formKey.trim();
    }

    public void setFormKey(String formKey) {
        this.formKey = formKey;
    }

    public String getFormCode() {
        return formCode == null ? "" : formCode.trim();
    }

    public void setFormCode(String formCode) {
        this.formCode = formCode;
    }

    public Integer getFormVersion() {
        return formVersion == null ? 0 : formVersion;
    }

    public void setFormVersion(Integer formVersion) {
        this.formVersion = formVersion;
    }
}
